package com.zehong.system.domain.vo;

import com.zehong.common.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

public class TBorrowingStatisticsDetailExportVo {

    @Excel(name = "部门")
    private String deptName;

    @Excel(name = "使用人")
    private String userIdName;

    @Excel(name = "费用名称")
    private String feeName;

    @Excel(name = "借支金额")
    private BigDecimal totalFigures;

    @Excel(name = "申请时间")
    private String registrationDateStr;

    private Date registrationDate;

    @Excel(name = "状态")
    private String approvalStatusType;

    private Integer approvalStatus;

    @Excel(name = "审批人")
    private String approvedUserIdName;


    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getUserIdName() {
        return userIdName;
    }

    public void setUserIdName(String userIdName) {
        this.userIdName = userIdName;
    }

    public String getFeeName() {
        return feeName;
    }

    public void setFeeName(String feeName) {
        this.feeName = feeName;
    }

    public BigDecimal getTotalFigures() {
        return totalFigures;
    }

    public void setTotalFigures(BigDecimal totalFigures) {
        this.totalFigures = totalFigures;
    }

    public Date getRegistrationDate() {
        return registrationDate;
    }

    public void setRegistrationDate(Date registrationDate) {
        this.registrationDate = registrationDate;
    }

    public Integer getApprovalStatus() {
        return approvalStatus;
    }

    public void setApprovalStatus(Integer approvalStatus) {
        this.approvalStatus = approvalStatus;
    }

    public String getApprovedUserIdName() {
        return approvedUserIdName;
    }

    public void setApprovedUserIdName(String approvedUserIdName) {
        this.approvedUserIdName = approvedUserIdName;
    }

    public String getApprovalStatusType() {
        return approvalStatusType;
    }

    public void setApprovalStatusType(String approvalStatusType) {
        this.approvalStatusType = approvalStatusType;
    }

    public String getRegistrationDateStr() {
        return registrationDateStr;
    }

    public void setRegistrationDateStr(String registrationDateStr) {
        this.registrationDateStr = registrationDateStr;
    }
}
